import { Dispatch, SetStateAction, useEffect, useState } from "react";

export function useProxyState<T>(initial: T, setter: (value: T) => void): [T, Dispatch<SetStateAction<T>>] {
    const [value, proxy] = useState<T>(initial);

    useEffect(() => setter(value), [ value ]);

    return [value, proxy];
}
