import { Internship, InternshipType } from "@/data";
import { Serializable, SerializationTransformer } from "@/serialization/types";
import { momentSerializationTransformer } from "@/serialization/moment";

export const internshipSerializationTransformer: SerializationTransformer<Internship> = {
    transform: (internship: Internship): Serializable<Internship> => ({
        ...internship,
        startDate: momentSerializationTransformer.transform(internship.startDate),
        endDate: momentSerializationTransformer.transform(internship.endDate),
    }),
    reverseTransform: (serialized: Serializable<Internship>): Internship => ({
        ...serialized,
        startDate: momentSerializationTransformer.reverseTransform(serialized.startDate),
        endDate: momentSerializationTransformer.reverseTransform(serialized.endDate),
        type: serialized.type as InternshipType,
    }),
}
