import { Action } from "@/state/actions/base";
import { Internship } from "@/data";

export enum InternshipProposalActions {
    Send = "SEND_PROPOSAL",
    Save = "SAVE_PROPOSAL",
    Approve = "RECEIVE_PROPOSAL_APPROVE",
    Decline = "RECEIVE_PROPOSAL_DECLINE",
    Receive = "RECEIVE_PROPOSAL_STATE",
}

export interface SendProposalAction extends Action<InternshipProposalActions.Send> {
    internship: Internship;
}

export interface ReceiveProposalApproveAction extends Action<InternshipProposalActions.Approve> {
    comment: string | null;
}

export interface ReceiveProposalDeclineAction extends Action<InternshipProposalActions.Decline> {
    comment: string;
}

export interface ReceiveProposalUpdateAction extends Action<InternshipProposalActions.Receive> {

}

export interface SaveProposalAction extends Action<InternshipProposalActions.Save> {
    internship: Internship;
}

export type InternshipProposalAction
    = SendProposalAction
    | SaveProposalAction
    | ReceiveProposalApproveAction
    | ReceiveProposalDeclineAction
    | ReceiveProposalUpdateAction;
