import { combineReducers } from "redux";

import studentReducer from "@/state/reducer/student"
import editionReducer from "@/state/reducer/edition";
import settingsReducer from "@/state/reducer/settings";
import internshipProposalReducer from "@/state/reducer/proposal";

const rootReducer = combineReducers({
    student: studentReducer,
    edition: editionReducer,
    settings: settingsReducer,
    proposal: internshipProposalReducer,
})

export type AppState = ReturnType<typeof rootReducer>;

export default rootReducer;

export const isReady = (state: AppState) => !!state.edition;
